

function love.load()
  
  bf= love.graphics.newImage("bf.jpg")

  Screen = {

		width = love.graphics.getWidth(),

		height = love.graphics.getHeight(),
    
    mouseX = love.mouse.getX() ,
    mouseY = love.mouse.getY() 

  }

  Distortion = love.graphics.newShader([[

    extern number time;
    extern number size;

    vec4 effect(vec4 color, Image texture, vec2 texture_coords, vec2 screen_coords){
    
      vec2 p = texture_coords;
      p.x = p.x + .1 * cos(p.y * size + time) ;
      p.y = p.y + .1 * sin(p.y * size + time) ;
    
      return Texel(texture,p);
    }

  ]])
 
end

local timer = 0


function love.update(dt)

  Screen.mouseX = love.mouse.getX() 
  Screen.mouseY = love.mouse.getY() 
  
	timer = timer + dt

	Distortion:send("time", timer)
  Distortion:send("size", timer)

end


function love.draw()
  
  love.graphics.setShader(Distortion)
  
 
    love.graphics.draw(bf,Screen.mouseX - bf:getWidth(),Screen.mouseY- bf:getHeight(),0,2,2)
  
    love.graphics.circle("fill",Screen.mouseX ,Screen.mouseY,50)

    love.graphics.circle("line",Screen.mouseX ,Screen.mouseY,75)

	
	love.graphics.setShader()

end



function love.keypressed(key)

	if key == "escape" then love.event.push("quit") end

end

